package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: InfoReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:47
 */
@Data
public class Nft036InfoResp implements Serializable {
    /**
     * nft元信息 json类型
     */
    private NftInfo nftInfo;

    private static final Nft036InfoResp obj = new Nft036InfoResp();
    public static Nft036InfoResp getNew() {
        try {
            return (Nft036InfoResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft036InfoResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
